Bug 1276988 - The uninstall playbook should remove the images and containers generate by sti-build
The uninstall playbook should remove the images and containers generate by st...
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jason DeTiberus
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 21:26 EST by Ma xiaoqiang
Modified: 2016-07-03 20:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 11:15:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-11-01 21:26:47 EST
Description of problem:
The uninstall playbook should remove the images and containers generate by sti-build


Version-Release number of selected component (if applicable):
openshift-ansible-playbooks-3.0.6-1.git.1.e0fd136.el7aos.noarch

How reproducible:
100%


Steps to Reproduce:
1. install env via ose
2. uninstall env
$ ansible-playbook -i hosts /usr/share/ansible/openshift-ansible/playbooks/adhoc/uninstall.yml
3. Check images on the node
$docker images |grep -E '([0-9]{1,3}\.){,3}[0-9]{1,3}:5000'
$docker ps -a




Actual results:
The following images are not removed
172.30.140.106:5000/xiama/nodejs-example                                                         latest              2e7e2b4a958c        25 minutes ago      393.4 MB
172.30.140.106:5000/xiama/nodejs-example                                                         <none>              2e7e2b4a958c        25 minutes ago      393.4 MB
172.30.86.134:5000/xiama/nodejs-example                                                          latest              830e832b02a9        29 minutes ago      393.4 MB


The containers are not removed
CONTAINER ID        IMAGE                                                                                                              COMMAND                  CREATED             STATUS                        PORTS               NAMES
796a6c89a057        172.30.140.106:5000/xiama/nodejs-example@sha256:2de2f7537e2a057e99ee5dc92c7cd2df582b9b0d9b26a16e51ed70d493340311   "container-entrypoint"   29 minutes ago      Exited (143) 27 minutes ago                       k8s_nodejs-example.b943236b_nodejs-example-1-d3eq5_xiama_61a08084-8103-11e5-842f-fa163e37266b_7c330772


Expected results:
The images should be deleted
The container should be deleted.


Additional info:

Note You need to log in before you can comment on or make changes to this bug.